SAP Knowledge Base Article - Preview

2069472 - Upgrade fails with Errors: 3701, 3461, 3462, 3451, 3454 - Cannot drop the view 'sysquerymetrics', because it doesn't exist in the system catalogs - ASE

Symptom

Errors reported in the log:

Database '<DBNAME>': beginning upgrade step [ID  1502]: executing SQL statement ("if exists (select 1 from sysobjects...")
Error: 3701, Severity: 11, State: 1
Cannot drop the view 'sysquerymetrics', because it doesn't exist in the system catalogs.
Error: 3461, Severity: 20, State: 1
Database '<DBNAME>': upgrade could not install required upgrade item '1502'. Please refer to previous error messages to determine the problem. Fix the problem, then try again.
Error: 3462, Severity: 18, State: 1
Database '<DBNAME>': upgrade could not install optional upgrade item '1720'. Please refer to previous error messages to determine the problem. Upgrade will continue.
Error: 3451, Severity: 20, State: 1
Database '<DBNAME>': upgrade has failed for this database.  Please refer to previous messages for the cause of the failure, correct the problem and try again.
Error: 3454, Severity: 20, State: 1
Database '<DBNAME>': ASE could not completely upgrade this database; upgrade item 1720 could not be installed.


Read more...

Environment

  • SAP Adaptive Server Enterprise (ASE) 15.7
  • SAP Adaptive Server Enterprise (ASE) 16.0
  • Sybase Adaptive Server Enterprise (ASE) 15.0
  • Sybase Adaptive Server Enterprise (ASE) 15.5

Product

SAP Adaptive Server Enterprise 15.7 ; SAP Adaptive Server Enterprise 16.0 ; Sybase Adaptive Server Enterprise 15.0 ; Sybase Adaptive Server Enterprise 15.5

Keywords

sysquerymetrics, ID 1502, item '1502' , KBA , BC-SYB-ASE , Sybase ASE Database Platform (non Business Suite) , Problem

About this page

This is a preview of a SAP Knowledge Base Article. Click more to access the full version on SAP ONE Support launchpad (Login required).

Search for additional results

Visit SAP Support Portal's SAP Notes and KBA Search.